---
agentTools:
  projectIndex: https://letsrobot.readme.io/llms.txt
---

# Retrieve snapshot details

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "API V1",
    "version": "1.1"
  },
  "servers": [
    {
      "url": "https://letsrobot.tv/api/v1"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "http",
        "scheme": "basic"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/snapshots/{snapshot_id}": {
      "get": {
        "summary": "Retrieve snapshot details",
        "description": "",
        "operationId": "retrieve-snapshot-details",
        "parameters": [
          {
            "name": "snapshot_id",
            "in": "path",
            "description": "ID of the snapshot to retrieve",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"snapshot_id\": \"snap_sdj3ds2\",\n  \"url\": \"letsrobot.tv/public/images/snap_sdj3ds2.jpg\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "snapshot_id": {
                      "type": "string",
                      "example": "snap_sdj3ds2"
                    },
                    "url": {
                      "type": "string",
                      "example": "letsrobot.tv/public/images/snap_sdj3ds2.jpg"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl -XGET 'https://runmyrobot.com/api/v1/snapshots/snap_sdj3ds2' \\\n\t-H 'Content-Type: application/json'\\\n\t-H 'X-Api-Key: YOUR_API_KEY'\\"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true,
  "_id": "5b999649b30a100003d54aaa:5b999649b30a100003d54ac4"
}
```